System.usbDiskModeActivate()

font = Font.load("Geek a byte 2.ttf")
font:setPixelSizes(25,30)


Bild = Image.load("1.jpg")



rot = Color.new(255,0,0)
blau = Color.new(0,0,255)
weiss = Color.new(255,255,255)

battr = System.powerGetBatteryLifePercent()




current = 1
oldpad = Controls.read()
while true do 
screen:clear()
screen:blit(0,0,Bild,true)

pad = Controls.read()



	
    screen:fontPrint(font,30,60,"Help",blau)
    screen:fontPrint(font,30,80,"Start the Button Tester",blau)
	screen:fontPrint(font,30,100,"Start the Analog-Stick Tester",blau)
	screen:fontPrint(font,30,120,"Start the Filebrowser",blau)
	screen:fontPrint(font,30,140,"Start the UMD Ripper",blau)
	screen:fontPrint(font,30,160,"Show System-Infos",blau)
	screen:fontPrint(font,30,180,"Start the USB-Menu",blau)
	screen:fontPrint(font,30,200,"Start the PixelFixer",blau)
	screen:fontPrint(font,30,220,"Test the Adhoc",blau)
	screen:fontPrint(font,30,240,"Mainmenu",blau)
	
	if current == 0 then
	screen:fontPrint(font,30,60,"Help",rot)
	end
	if current == 1 then
    screen:fontPrint(font,30,80,"Start the Button Tester by Shaplayer",rot)
    end
	if current == 2 then
	screen:fontPrint(font,30,100,"Start the Analog-Stick Tester by Shaplayer",rot)
	end
	if current == 3 then
	screen:fontPrint(font,30,120,"Start the Filebrowser by Shaplayer",rot)
	end
	if current == 4 then
	screen:fontPrint(font,30,140,"Start the UMD Ripper by Shplayer",rot)
	end
    if current == 5 then
    screen:fontPrint(font,30,160,"Show System-Infos by Shaplayer",rot)
    end
	if current == 6 then
	screen:fontPrint(font,30,180,"Start the USB-Menu by Shaplayer",rot)
	end
	if current == 7 then
	screen:fontPrint(font,30,200,"Start the PixelFixer by Shaplayer",rot)
	end
	if current == 8 then
	screen:fontPrint(font,30,220,"Test the Adhoc",rot)
	screen:fontPrint(font,10,260,"Put the WLAN on and after the Test off!",rot)
	end
	if current == 9 then
	screen:fontPrint(font,30,240,"Mainmenu",rot)
    end
	
	if pad:up() and oldpad:up() ~= pad:up() then
    current = current - 1
    end
    if pad:down() and oldpad:down() ~= pad:down() then
    current = current + 1
    end

	
     -- IF-Befehle --
	if pad:cross() and current == 0 then
    Bild = nil
	dofile("Help.lua")
    end

    if pad:cross() and current == 1 then
    Bild = nil
	dofile("Tester.lua")
    end
	
	if pad:cross() and current == 2 then
	Bild = nil
	dofile("Analog.lua")
	end
	
	if pad:cross() and current == 3 then
	Bild = nil
	dofile("filebrowser.lua")
	end
	
	if pad:cross() and current == 4 then
	Bild = nil
	dofile("umd.lua")
	end
    
	if pad:cross() and current == 5 then
    Bild = nil
	dofile("INFO.lua")
    end
	
    if pad:cross() and current == 6 then
    Bild = nil
	dofile("USB.lua")	
    end 
	
	if pad:cross() and current == 7 then
	Bild = nil
	dofile("pixelfix.lua")
	end
		
    if pad:cross() and current == 8 then
	Bild = nil
	dofile("adhoc.lua")
	end
	
	if pad:cross() and current == 9 then
	Bild = nil
	dofile("script2.lua")
	end
	
	if current == -1 then
	current = 9
	end
    if current == 10 then
    current = 0
    end


screen:print(300, 10, "Batterie-Status:", weiss)
screen:print(440, 10, battr , rot)
screen:print(460, 10, "%", rot)

collectgarbage()
screen.waitVblankStart()
screen.flip()
end